https://azure.com/providers/Microsoft.ADHybridHealthService/addsservices/{serviceName}/replicationdetailsGets complete domain controller list along with replication details for a given Active Directory Domain Service, that is onboarded to Azure Active Directory Connect Health.
The name of the service.
The server property filter to apply.
Indicates if InboundReplicationNeighbor details are required or not.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/providers/Microsoft.ADHybridHealthService/addsservices/{serviceName}/replicationdetails' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/providers/Microsoft.ADHybridHealthService/addsservices/{serviceName}/replicationdetailsGets complete domain controller list along with replication details for a given Active Directory Domain Service, that is onboarded to Azure Active Directory Connect Health.
The name of the service.
The server property filter to apply.
Indicates if InboundReplicationNeighbor details are required or not.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/providers/Microsoft.ADHybridHealthService/addsservices/{serviceName}/replicationdetails' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}